0

I'm currently trying to get Owl Carousel working with Magento 1.7 and getting this error in console. googling i can't seem to find anything about it.

Uncaught TypeError: this._core.$element.on is not a function
at new Lazy (owl.slider.js:1874)
at Owl.<anonymous> (owl.slider.js:183)
at Function.c (jquery-1.4.2.min.js:16)
at Function.each (jquery-1.4.2.min.js:16)
at new Owl (owl.slider.js:181)
at HTMLUListElement.<anonymous> (owl.slider.js:1797)
at Function.each (jquery-1.4.2.min.js:16)
at init.each (jquery-1.4.2.min.js:16)
at init.$.fn.owlSlider (owl.slider.js:1795)
at HTMLDocument.<anonymous> ((index):315)
0

there should be some issue with your jQuery and Owl-Carousel , you can check below points

1) Your jQuery lib should be loaded before Owl-Carousel

2) jQuery.noconflict() line should be there before Owl-Carousel

3) Owl-Carousel lib should not be loaded twice in a single page.

above are the things you need to take care before you initialize the Owl-Carousel

  • So the normal jQuery lib is loaded first, there is also a jquery-ui.1.8.9.custom.min.js that is loaded after the Owl-Carousel. could that be a conflict? no-conflict.js is loaded before owl-slider but not jquery – Dylan Crow Feb 16 '17 at 6:14
  • @DylanCrow I dont think jqueryui has problem but please jQuery.noconflict() add this line before owl and after jQuery – Murtuza Zabuawala Feb 16 '17 at 6:17
  • Added jQuery.noConflict() to the start of owl and at the end of jQuery file. still getting the same error. hmmmm – Dylan Crow Feb 17 '17 at 0:59

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.